/*
 * @Author: jiangzaicheng jiangzaicheng_jzc@163.com
 * @Date: 2022-07-05 14:56:29
 * @LastEditors: jiangzaicheng jiangzaicheng_jzc@163.com
 * @LastEditTime: 2022-07-08 14:45:54
 * @FilePath: \mcep-h5\src\constants\api\login\login-mgt.api.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import { MethodType } from "@/constants/enum/general/method-type.enum";
import { HeaderType } from "@/constants/enum/general/header-type.enum";

//网关
const prefix = process.env.VUE_APP_MS_GATEWAY_API + process.env.VUE_APP_AUTH_API ;
const onlinePrefix = process.env.VUE_APP_MS_GATEWAY_API + process.env.VUE_APP_ONLINE_API
//本地
// const prefix = "http://10.2.3.118:9130"+ process.env.VUE_APP_AUTH_API ;
// const onlinePrefix = "http://localhost:9155" + process.env.VUE_APP_ONLINE_API
const commonApi = {
  getPicCode: {
    url: prefix + "/get_phone_verify_code",
    method: MethodType.GET.code,
    header: HeaderType.AUTH.code,
  },

  getProductList: {
    url: onlinePrefix + "/prodSub/getProductList",
    method: MethodType.POST.code,
    header: HeaderType.AUTH.code,
  },
 
};

export default commonApi;


